<ng-container *ngIf="operatingSystem; else elseBlock">
    <img class="details-image"
         [ngClass]="{'large': largeLogo}"
         [src]="imageLinksService.getOperatingSystemImageLink(operatingSystem.category)"
         [alt]="operatingSystem.category + 'logo'">
    <div class="details-grid">
        <b>Category:</b><span>{{operatingSystem.category}}</span>
        <b>Name:</b><span>{{operatingSystem.name}}</span>
        <b>Version:</b><span>{{operatingSystem.version}}</span>
    </div>
</ng-container>
<ng-template #elseBlock>
    No operating system.
</ng-template>
